# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "derive_rich"
version = "0.2.0"
authors = ["Muhannad Alrusayni <Muhannad.Alrusayni@gmail.com>"]
description = "Helps you to create richful function for your structs"
homepage = "https://gitlab.com/muhannad_alrusayni/derive_rich"
documentation = "https://docs.docs.rs/derive_rich"
readme = "README.MD"
keywords = ["derive", "setter", "getter", "function"]
categories = ["development-tools", "development-tools::procedural-macro-helpers"]
license = "MIT OR Apache-2.0"
repository = "https://gitlab.com/muhannad_alrusayni/derive_rich"

[lib]
proc-macro = true
[dependencies.proc-macro2]
version = "1.0.6"

[dependencies.quote]
version = "1.0.2"

[dependencies.syn]
version = "1.0.8"
features = ["full", "extra-traits"]
